## moblin-session 0.13

=== Makefile ===
PACKAGE := moblin-session
VERSION := $(shell git describe --abbrev=0)

all:

install:
	mkdir -p $(DESTDIR)/usr/share/xsessions
	install -m644 moblin.desktop $(DESTDIR)/usr/share/xsessions
	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/etc/xdg/moblin
	install -m644 moblin-xinitrc $(DESTDIR)/etc/xdg/moblin/xinitrc
	install -m755 startmoblin $(DESTDIR)/usr/bin/startmoblin

dist:
	git archive --format=tar --prefix=$(PACKAGE)-$(VERSION)/ HEAD \
	  | bzip2 -f > $(PACKAGE)-$(VERSION).tar.bz2

.PHONY: all install dist

## moblin-session 0.12

=== debian/changelog ===
moblin-session (0.12-1) unstable; urgency=low

  * Bill Filler <bill.filler@canonical.com>
    - fix gdm startup issue to use moblin.desktop session per 0.5-0ubuntu0.4
      + added debian/moblin.gdm.conf
      + updated debian/rules
      + added postinst and prerm
  * Matthias Klose <doko@ubuntu.com>
    - New upstream version (based on 0.13-1.1.moblin2).
  * Michael Casadevall <mcasadevall@ubuntu.com>
    - Properly merged 0.5-0ubuntu0.4 into this revision to properly pull in
      gnome-session
    - debian/control:
      + Added quilt as a build-dep
      + Added dependency on telepathy-mission-control which startmoblin
        requires
    - debian/patches/01_correct_mission_control_path.patch
      + Correct the path to mission control to where it exists in Ubuntu
    - moblin-session DEPENDS on gnome-session to start xdg autostart apps
    - Properly set gdm-cdd.conf to get gdm to do the right thing
    - Added gdm to the depends
    - Add Provides: x-session-manager for packages that Recommend on
      it like metacity
  * Michael Terry <michael.terry@canonical.com>
    - 01_correct_libexec_paths.patch: Since the various panels have
      been packaged independently, they have new paths. (dropped internet
      panel, because it isn't packaged separately yet...  Not sure what its
      deal is)
    - debian/rules: convert to dh7
    - debian/postinst, debian/prerm: Update x-session-manager default link
      to point to startmoblin. (LP: 420047)
    - debian/moblin.gdm.conf: Change from blue background to black to
      make the gdm login process visually smoother. (LP: 414671)
    - debian/patches/01_correct_libexec_paths.patch: Fix moblin-mutter libexec
      paths.  Rename patch to more generic name (used to just fix mission-
      control path).
    - New upstream release (Moblin Beta) (0.6)
  * Rusty Lynch <rusty.lynch@intel.com>
    - Disabling SCIM input method functionality (LP: 418414)
  * Ying-Chun Liu (PaulLiu) <paul.liu@canonical.com>
    - Upload to karmic
    - debian/control: telepathy-mission-control -> telepathy-mission-control-5
    - Initial release (Closes: #555802)
    - debian/copyright: Use machine-readable format
    - merge moblin-ux-settings: only gconf settings

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 12 Jan 2010 14:51:15 +0800

=== debian/control ===
Source: moblin-session
Section: misc
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt, rpm2cpio, cpio, xsltproc,
               docbook-xsl
Standards-Version: 3.8.3
Homepage: http://moblin.org/

Package: moblin-session
Architecture: all
Depends: ${misc:Depends}, gdm, gnome-session, telepathy-mission-control-5,
         mutter, mutter-moblin, libmojito0, gtk2-engines-moblin,
         moblin-icon-theme, moblin-sound-theme, nautilus,
         moblin-panel-applications, moblin-panel-media, moblin-panel-myzone,
         moblin-panel-pasteboard, moblin-panel-people, moblin-panel-status,
         ttf-liberation
Provides: x-session-manager
Description: Moblin2 Session and Startup Scripts
 This package adds the actual moblin session and startup scripts to the 
 system. It is not needed if you are not running Moblin.
 .
 This package also install the GConf schemas for Moblin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

%:
	dh $@

startmoblin.1: debian/startmoblin.xml
	$(XP) $(DB2MAN) $<

override_dh_auto_build: startmoblin.1
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	chmod a+x $(CURDIR)/debian/moblin-session/etc/xdg/moblin/xinitrc

=== debian/watch ===
version=3
http://git.moblin.org/cgit.cgi/moblin-session/ \
         snapshot/moblin-session-([\d\.]*).tar.bz2
